javax.xml.stream.events

## Interface StartDocument

All Superinterfaces:
  XMLEvent, XMLStreamConstants

    public interface StartDocument
    extends XMLEvent

### Field Summary

### Fields inherited from interface javax.xml.stream.XMLStreamConstants

`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `encodingSet()`
`java.lang.String` `getCharacterEncodingScheme()`
`java.lang.String` `getSystemId()`
`java.lang.String` `getVersion()`
`boolean` `isStandalone()`
`boolean` `standaloneSet()`

### Methods inherited from interface javax.xml.stream.events.XMLEvent

`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

### Method Detail

#### encodingSet

    boolean encodingSet()

#### getCharacterEncodingScheme

    java.lang.String getCharacterEncodingScheme()

#### getSystemId

    java.lang.String getSystemId()

#### getVersion

    java.lang.String getVersion()

#### isStandalone

    boolean isStandalone()

#### standaloneSet

    boolean standaloneSet()